> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v3 Insight Detail

> Get an insight using its id.



## OpenAPI

````yaml get /v3/insights/{id}
openapi: 3.0.0
info:
  contact: {}
  description: Insights API for Platform2.0
  license:
    name: GWI Platform 2.0 Community
    url: https://github.com/orgs/GlobalWebIndex/teams/engineering-platform-2-0
  title: Insights API
  version: 0.0.1
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v3/insights/{id}:
    get:
      tags:
        - Insights
      summary: v3 Insight Detail
      description: Get an insight using its id.
      operationId: v3Insight
      parameters:
        - description: insight id
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/insights.GetByIDResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
        '401':
          description: Invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    insights.GetByIDResponse:
      properties:
        category_ids:
          items:
            type: integer
          type: array
        description:
          type: string
        id:
          type: integer
        images:
          items:
            $ref: '#/components/schemas/domain.InsightImage'
          type: array
        name:
          type: string
        type:
          type: string
      type: object
    httperror.httpError:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
    domain.InsightImage:
      properties:
        id:
          type: integer
        is_main:
          type: boolean
        page_preview_thumb_path:
          type: string
        page_thumb_path:
          type: string
        thumb_path:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````